Bug 1277047 - Inaccurate prompt from atomic-openshift-installer
Inaccurate prompt from atomic-openshift-installer
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Samuel Munilla
Ma xiaoqiang
Depends On:
  Show dependency treegraph
Reported: 2015-11-02 02:56 EST by Gaoyun Pei
Modified: 2016-07-03 20:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-27 14:42:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2015-11-02 02:56:26 EST
Description of problem:
When installer asks for confirmation of the facts gathered about hosts, press "N", installer would give an introduction about how to rerun the installer:

"Edit /root/.config/openshift/installer.cfg.yml with the desired values and rerun oo-install with --unattended" 

"oo-install" should be changed to "atomic-openshift-installer" now.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Samuel Munilla 2015-11-03 08:19:28 EST
https://github.com/openshift/openshift-ansible/pull/798 opened to correct
Comment 2 Gaoyun Pei 2015-11-05 00:01:24 EST
Verify this on atomic-openshift-utils-3.0.7-1.git.48.75d357c.el7aos.noarch, the prompt has changed as:

Do the above facts look correct? [y/N]: N

Edit /root/.config/openshift/installer.cfg.yml with the desired values and rerun atomic-openshift-installer with --unattended .

Will move this to VERIFIED once the status move to ON_QA
Comment 3 Brenton Leanhardt 2016-01-11 14:23:21 EST
This should be fixed in the latest puddle.
Comment 4 Gaoyun Pei 2016-01-12 04:41:27 EST
Verify this bug with atomic-openshift-utils-3.0.26-1.git.0.98b8a3a.el7aos.noarch

The prompt has changed as:
Edit /root/.config/openshift/installer.cfg.yml with the desired values and run `atomic-openshift-installer --unattended install` to restart the install.
Comment 6 errata-xmlrpc 2016-01-27 14:42:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.